## eog 3.28.1

=== meson_options.txt ===
option('libexif', type: 'boolean', value: true, description: 'enable EXIF support')
option('cms', type: 'boolean', value: true, description: 'enable colour management support')
option('xmp', type: 'boolean', value: true, description: 'enable special XMP support')
option('libjpeg', type: 'boolean', value: true, description: 'enable special JPEG support')
option('librsvg', type: 'boolean', value: true, description: 'enable RSVG support')
option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
option('introspection', type: 'boolean', value: true, description: 'Enable GObject Introspection (depends on GObject)')
option('installed_tests', type: 'boolean', value: false, description: 'enable installed unit tests')

## eog 2.30.2

=== debian/changelog ===
eog (2.30.2-1jasp1) unstable; urgency=low

  * Fixed loading race condition.

 -- Javier Serrano Polo <javier@jasp.net>  Fri, 27 Apr 2012 04:16:01 +0200

eog (2.30.2-1) unstable; urgency=low

  * New upstream bugfix release.
  * Bump Standards-Version to 3.9.0. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sat, 03 Jul 2010 00:52:16 +0200

eog (2.30.1-1) unstable; urgency=low

  [ Luca Bruno ]
  * New upstream release:
    - Update Japanese translation. Closes: #550830.
  * debian/control.in:
    - Update Standards-version to latest 3.8.4. No changes needed.
    - Bump libgtk2.0-dev build-depend to 2.17.15.
  * debian/patches/01_nodisplay.patch:
    - Refreshed.
  * debian/copyright:
    - Fix FSF address.

  [ Michael Biebl ]
  * Switch to source format 3.0 (quilt)
    - Add debian/source/format.
    - Add debian/patches/series.
    - Remove /usr/share/cdbs/1/rules/simple-patchsys.mk from debian/rules.
  * debian/control.in
    - Add Vcs-* fields.
    - Drop Conflicts: eog2, no longer necessary.

 -- Michael Biebl <biebl@debian.org>  Mon, 03 May 2010 18:53:57 +0200

eog (2.28.2-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: don't uupdate.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 18 Dec 2009 15:32:33 +0100

eog (2.28.1-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    - added missing copyright holders.
    - added copyright informations about src/eog-image-jpeg.c,
       cut-n-paste/totem-screensaver/totem-scrsaver.h and
       cut-n-paste/totem-screensaver/totem-scrsaver.c files, which 
       are licensed under the LGPL-2.

 -- Andrea Veri <andrea.veri89@gmail.com>  Wed, 21 Oct 2009 23:29:28 +0200

eog (2.28.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/99_ltmain_as-needed.patch: Dropped, already there.
  * debian/control{,.in}: Bump build-dependency on libgtk2.0-dev to >= 2.15.2,
    drop build-dependency on libart-2.0-dev.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 23 Sep 2009 18:24:07 +0200

eog (2.26.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - bumped Standards-version to latest 3.8.3. No changes needed.
    - added homepage field pointing it to the right project's
      homepage.
    - added ${misc:Depends} on both eog-dbg / eog-dev binaries making
      lintian happy again.

 -- Andrea Veri <andrea.veri89@gmail.com>  Tue, 15 Sep 2009 21:28:38 +0200

eog (2.26.2-1) unstable; urgency=low

  * Update build-dependencies to the 2.26 requirements.
    Closes: #530649.
  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Tue, 26 May 2009 22:18:58 +0200

eog (2.26.1-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Add libglib2.0-doc and libgtk2.0-doc to b-d-i to ensure proper 
    xrefs.

  [ Luca Bruno ]
  * New upstream release:
    - Fix GError usage and avoid crashes when the tempfile can't be moved
      to the destination. Closes: #507991
  * debian/patches/02_sanitize_sys.path.patch:
    - Remove as applied upstream.
  * debian/control.in:
    - Build-Depends:
      + Remove libart-2.0-dev.
      + Add libxml2-dev for toolbareditor support.
      + Bump libgtk2.0-dev to 2.15.1.
      + Bump libgnome-desktop-dev to 2.25.1.
    - eog-dev Depends:
      + Remove libgnomeui-dev and libglade2-dev.
      + Add libgtk2.0-dev.
    - Specify section for debug package.

  [ Josselin Mouette ]
  * Remove useless build-dependencies on libglade and libgnomeui.

 -- Josselin Mouette <joss@debian.org>  Thu, 14 May 2009 08:42:20 +0200

eog (2.24.3.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 06 Mar 2009 19:29:03 +0100

eog (2.24.2-1) experimental; urgency=low

  * 99_ltmain_as-needed.patch: introduce patch to make --as-needed work 
    on shared objects.
  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Wed, 31 Dec 2008 16:24:42 +0100

eog (2.24.1-1) experimental; urgency=low

  * New upstream release.
  * Update build-dependencies, add missing dependencies for eog-dev.
  * Remove broken changelog entry at the end.
  * Don’t build with -z defs, it fails for the plugins.
  * eog.install: install the plugins.
  * eog-dev.install: install the documentation.
  * Pass --no-act to dh_makeshlibs.

 -- Josselin Mouette <joss@debian.org>  Thu, 13 Nov 2008 18:06:45 +0100

eog (2.22.3-2) unstable; urgency=high

  [ Deng Xiyue ]
  * 02_sanitize_sys.path.patch: fix possible security problem caused by
    empty sys.path which allows the possibility to run arbitrary code by a
    file matches the name of a python module in user's working directory.
    Thanks James Vega <jamessan@debian.org> for the patch.
    (Closes: #504352)

 -- Josselin Mouette <joss@debian.org>  Thu, 06 Nov 2008 09:04:21 +0100

eog (2.22.3-1) unstable; urgency=low

  [ Josselin Mouette ]
  * 01_nodisplay.patch: do not display the menu entry by default; an 
    image viewer is mostly useless except when launched from the file 
    browser.

  [ Sebastian Dröge ]
  * New upstream bugfix release.
  * debian/control.in:
    + Updated Standards-Version to 3.8.0, no additional changes needed.
    + Build depend on intltool as it's required now.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 01 Jul 2008 11:49:13 +0200

eog (2.22.2-1) unstable; urgency=low

  * New upstream release.
    - adds "image/svg+xml-compressed" to the list of supported file types
      (Closes: #477436).

 -- Guilherme de S. Pastore <gpastore@debian.org>  Fri, 30 May 2008 23:07:01 -0300

eog (2.22.1-1) unstable; urgency=low

  [ Romain Francoise ]
  * debian/control.in: Bump build-depends on libglib2.0-dev to (>= 2.15.3).

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Apr 2008 05:44:49 +0200

eog (2.22.0-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Fix capitalization of GNOME.
  * Rework description to make it a bit more up to date.


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: eog
Section: gnome
Priority: optional
Maintainer: Guilherme de S. Pastore <gpastore@debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>,
 Javier Serrano Polo <javier@jasp.net>
Standards-Version: 3.9.1
Homepage: http://projects.gnome.org/eog
Build-Depends: cdbs (>= 0.4.41),
               debhelper (>= 5),
               gnome-pkg-tools (>= 0.10),
               gtk-doc-tools (>= 1.9),
               intltool (>= 0.40.0),
               gnome-doc-utils,
               libgtk2.0-dev (>= 2.17.15),
               libglib2.0-dev (>= 2.15.3),
               libgnome-desktop-dev (>= 2.25.1),
               libgconf2-dev (>= 2.6.1-2),
               gnome-icon-theme (>= 2.19.1),
               shared-mime-info (>= 0.20),
               zlib1g-dev,
               libexif-dev (>= 0.6.14),
               liblcms-dev,
               libexempi-dev (>= 1.99.5),
               libjpeg62-dev,
               libdbus-glib-1-dev (>= 0.71),
               libxml2-dev (>= 2.0),
               x11proto-core-dev,
               python-dev (>= 2.3),
               python-gobject-dev (>= 2.15.1),
               python-gtk2-dev (>= 2.13.0),
               scrollkeeper
Build-Depends-Indep: libglib2.0-doc, libgtk2.0-doc
Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/unstable/eog/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/eog/

Package: eog
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gnome-icon-theme (>= 2.19.1),
         shared-mime-info (>= 0.20)
Recommends: librsvg2-common
Description: Eye of GNOME graphics viewer program
 eog or the Eye of GNOME is a simple graphics viewer for the GNOME
 desktop which uses the gdk-pixbuf library.  It can deal with large
 images, and zoom and scroll with constant memory usage.  Its goals are
 simplicity and standards compliance.

Package: eog-dbg
Section: debug
Architecture: any
Priority: extra
Depends: eog (= ${binary:Version}),
         ${misc:Depends}
Description: Eye of GNOME graphics viewer program - debugging symbols
 eog or the Eye of GNOME is a simple graphics viewer for the GNOME
 desktop which uses the gdk-pixbuf library.  It can deal with large
 images, and zoom and scroll with constant memory usage.  Its goals are
 simplicity and standards compliance.
 .
 This package contains the debugging symbols for eog.

Package: eog-dev
Architecture: all
Depends: eog (>= ${source:Version}),
         libgtk2.0-dev (>= 2.13.1),
         libgconf2-dev (>= 2.6.1-2),
         ${misc:Depends}
Description: Development files for the Eye of GNOME
 eog or the Eye of GNOME is a graphics viewer for the GNOME desktop
 which uses the gdk-pixbuf library.
 .
 This package contains header files and development information, which
 is needed to build plugins for the Eye of GNOME.

=== debian/rules ===
#! /usr/bin/make -f 

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS += -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper

DEB_DH_MAKESHLIBS_ARGS_ALL += --no-act

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/eog/([\d\.]+)[02468]/ \
	eog-(.*)\.tar\.gz

## eog 2.32.0

=== debian/changelog ===
eog (2.32.0-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - updated translations

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 28 Sep 2010 00:35:23 +0200

eog (2.31.92-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Copy image to disk when setting as desktop background when it is
      located on removable media (Claudio Saavedra)
    - Ask user whether to reload an externally modified image
      (Claudio Saavedra)
    - Miscellaneous code fixes (Claudio Saavedra)
    - Side pane always shown at startup when plug-in is activated
      (Claudio Saavedra)
    - EOG prevents the Desktop thumbnails to be updated (Claudio Saavedra)
      (LP: #632810)
    - Background setting doesn't work as expected (Claudio Saavedra)
    - New and updated translations
  * Update debian/patches/02_toolbar_edit_button.patch

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 20 Sep 2010 13:04:27 +0200

eog (2.31.91-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 31 Aug 2010 15:01:09 +1000

eog (2.31.90-0ubuntu2) maverick; urgency=low

  * debian/patches/02_toolbar_edit_button.patch:
    - Switch from F-Spot to shotwell as the image editor

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 19 Aug 2010 16:38:08 +1000

eog (2.31.90-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 17 Aug 2010 10:51:07 +1000

eog (2.31.5-0ubuntu1) maverick; urgency=low

  * New upstream versions:
    - New toolbar button and 'P' shortcut to pause the slideshow (lp: #272552)
    - Rename "Image Collection" to "Image Gallery" 
    - Update totem-scrsaver to use GDBus 
    - Render SVGs natively when zoomed 
    - Print SVGs as vector image 
    - Embed page setup in print dialog 
    - Various UI improvements 
    - Further GSEAL-compatibility work 
  * debian/control.in:
    - require librsvg, updated glib and gtk requirements
  * debian/control.in, debian/patches/99_autoconf.patch, debian/rules:
    - run autoreconf at build time now

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Aug 2010 11:18:27 +0200

eog (2.30.2-1ubuntu1) maverick; urgency=low

  * Resync on Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 05 Jul 2010 12:24:57 +0200

eog (2.30.2-0ubuntu1) maverick; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Jun 2010 22:40:44 +0200

eog (2.30.1-1ubuntu1) maverick; urgency=low

  * Resync on Debian
  * debian/control.in, 
    debian/rules:
    - build with python
  * debian/control.in,
    debian/patches/01_lpi.patch,
    debian/patches/99_autoconf.patch:
    - launchpad integration changes
  * debian/patches/02_toolbar_edit_button.patch:
    - change by Ryan Lortie to add an edit button to the toolbar
    - set /apps/eog/ui/external_editor to f-spot-viewer, it can't do editing
      right now but that will be changed in lucid

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 20 May 2010 15:09:47 +0200

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/eog/([\d\.]+)/ \
	eog-(.*)\.tar\.gz \
	debian uupdate

## eog 2.32.1

=== debian/changelog ===
eog (2.32.1-0ubuntu2) natty; urgency=low

  * No change rebuild for new python default

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 10 Dec 2010 12:56:41 +0100

eog (2.32.1-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 16 Nov 2010 15:14:26 +1100

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,21 @@
 Source: eog
 Section: gnome
 Priority: optional
-Maintainer: Guilherme de S. Pastore <gpastore@debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>,
- Javier Serrano Polo <javier@jasp.net>
-Standards-Version: 3.9.1
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guilherme de S. Pastore <gpastore@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
+Standards-Version: 3.9.0
 Homepage: http://projects.gnome.org/eog
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 5),
+               dh-autoreconf,
                gnome-pkg-tools (>= 0.10),
                gtk-doc-tools (>= 1.9),
                intltool (>= 0.40.0),
                gnome-doc-utils,
-               libgtk2.0-dev (>= 2.17.15),
-               libglib2.0-dev (>= 2.15.3),
+               libgtk2.0-dev (>= 2.18),
+               libglib2.0-dev (>= 2.25.9),
+               librsvg2-dev,
                libgnome-desktop-dev (>= 2.25.1),
                libgconf2-dev (>= 2.6.1-2),
                gnome-icon-theme (>= 2.19.1),
@@ -34,10 +36,11 @@
                python-dev (>= 2.3),
                python-gobject-dev (>= 2.15.1),
                python-gtk2-dev (>= 2.13.0),
-               scrollkeeper
+               python-central (>= 0.5.6),
+               liblaunchpad-integration-dev (>= 0.1.17)
 Build-Depends-Indep: libglib2.0-doc, libgtk2.0-doc
-Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/unstable/eog/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/eog/
+XS-Python-Version: current
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/eog/ubuntu
 
 Package: eog
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #! /usr/bin/make -f 
 
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/gnome.mk
@@ -8,6 +9,10 @@
 
 LDFLAGS += -Wl,-O1 -Wl,--as-needed
 
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper
+DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper --enable-python
 
 DEB_DH_MAKESHLIBS_ARGS_ALL += --no-act
+
+binary-arch:
+	dh_pycentral
+

## eog 3.0.2

=== debian/changelog ===
eog (3.0.2-2) unstable; urgency=low

  * debian/control.in:
    - Change Build-Depends on libjpeg62-dev to libjpeg-dev in preparation of
      the libjpeg8 transition.
    - Add Depends on gir1.2-peas-1.0 to eog. (Closes: #630910)
    - Remove Build-Depends on gir1.2-gtk-3.0 and let libgtk-3-dev pull that
      dependency in. Bump Build-Depends on libgtk-3-dev to (>= 3.0.8-1~)
      accordingly.
    - Update Vcs-* fields.

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Jul 2011 17:52:56 +0200

eog (3.0.2-1) experimental; urgency=low

  * New upstream stable release.
  * debian/watch: Switch to .bz2 tarballs.
  * Switch to debhelper compatibility level 8.
    - Bump Build-Depends on debhelper.
    - Strip leading debian/tmp/ from .install files.
  * debian/control.in
    - Bump Standards-Version to 3.9.2. No further changes.
    - Add Build-Depends on librsvg2-dev (>= 2.26.0) for scaling svg images.
  * debian/eog-dev.install
    - Install gtk-doc API documentation.

 -- Michael Biebl <biebl@debian.org>  Sat, 04 Jun 2011 18:31:50 +0200

eog (3.0.1-1) experimental; urgency=low

  [ Fabian Greffrath ]
  * Add Conflicts and Replaces against gir1.2-eog-3.0 to eog (Closes: #622636).

  [ Sjoerd Simons ]
  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 14 May 2011 19:47:05 +0100

eog (3.0.0-1) experimental; urgency=low

  * Make the -dev package depend on the gir package.
  * New upstream release.
  * Update build-dependencies.
  * Put the gir in the eog package, since it’s in a private directory.
  * Break eog-plugins < 2.91.
  * Pass arguments to dh_girepository in a more canonical way.

 -- Josselin Mouette <joss@debian.org>  Sun, 10 Apr 2011 22:57:14 +0200

eog (2.91.92-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in: added missing dependency on gsettings-desktop-schemas.

 -- Frederic Peters <fpeters@debian.org>  Mon, 28 Mar 2011 11:48:04 +0530

eog (2.91.91-4) experimental; urgency=low

  * debian/control.in: add build-dep on a recent version of libatk1.0-dev to
    make sure the necessary gobject introspection files get installed.

 -- Frederic Peters <fpeters@debian.org>  Tue, 22 Mar 2011 22:27:47 +0100

eog (2.91.91-3) experimental; urgency=low

  * debian/rules: get gir dependencies using file from debian/tmp/.

 -- Frederic Peters <fpeters@debian.org>  Mon, 21 Mar 2011 23:49:15 +0100

eog (2.91.91-2) experimental; urgency=low

  * debian/eog.install: install eog.convert, for porting configuration from
    gconf to gsettings.
  * debian/rules: fix removal of gir file from eog package.
  * debian/rules: fix generation of gir:Depends, looking for files in their
    private directories.

 -- Frederic Peters <fpeters@debian.org>  Sun, 13 Mar 2011 15:25:28 +0100

eog (2.91.91-1) experimental; urgency=low

  * New upstream development release.
    + Update debian/control.in for new dependencies.
    + Create a gir1.2-eog-3.0 package.
    + Make eog depends on gir1.2-eog-3.0 as it is required for plugins.

 -- Frederic Peters <fpeters@debian.org>  Sun, 13 Mar 2011 13:38:33 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: eog
Section: gnome
Priority: optional
Maintainer: Guilherme de S. Pastore <gpastore@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Frederic Peters <fpeters@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Standards-Version: 3.9.2
Homepage: http://projects.gnome.org/eog
Build-Depends: cdbs (>= 0.4.41),
               debhelper (>= 8),
               gnome-pkg-tools (>= 0.10),
               gtk-doc-tools (>= 1.9),
               intltool (>= 0.40.0),
               pkg-config,
               gnome-doc-utils,
               libgtk-3-dev (>= 3.0.8-1~),
               libglib2.0-dev (>= 2.25.15),
               libgnome-desktop-3-dev (>= 2.91.2),
               gnome-icon-theme (>= 2.19.1),
               shared-mime-info (>= 0.20),
               gsettings-desktop-schemas-dev (>= 2.91.92),
               libpeas-dev (>= 0.7.4),
               zlib1g-dev,
               libexif-dev (>= 0.6.14),
               liblcms-dev,
               libexempi-dev (>= 1.99.5),
               libjpeg-dev,
               librsvg2-dev (>= 2.26.0),
               libdbus-glib-1-dev (>= 0.71),
               libxml2-dev (>= 2.0),
               libx11-dev,
               libatk1.0-dev (>= 1.32.0-2~),
               gir1.2-glib-2.0,
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.12)
Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/eog
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/eog

Package: eog
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends},
         gnome-icon-theme (>= 2.19.1),
         shared-mime-info (>= 0.20),
         gsettings-desktop-schemas (>= 2.91.92),
         gir1.2-peas-1.0
Recommends: librsvg2-common
Breaks: eog-plugins (<< 2.91)
Conflicts: gir1.2-eog-3.0
Replaces: gir1.2-eog-3.0
Description: Eye of GNOME graphics viewer program
 eog or the Eye of GNOME is a simple graphics viewer for the GNOME
 desktop which uses the gdk-pixbuf library.  It can deal with large
 images, and zoom and scroll with constant memory usage.  Its goals are
 simplicity and standards compliance.

Package: eog-dbg
Section: debug
Architecture: any
Priority: extra
Depends: eog (= ${binary:Version}),
         ${misc:Depends}
Description: Eye of GNOME graphics viewer program - debugging symbols
 eog or the Eye of GNOME is a simple graphics viewer for the GNOME
 desktop which uses the gdk-pixbuf library.  It can deal with large
 images, and zoom and scroll with constant memory usage.  Its goals are
 simplicity and standards compliance.
 .
 This package contains the debugging symbols for eog.

Package: eog-dev
Architecture: all
Depends: eog (>= ${source:Version}),
         libgtk-3-dev (>= 3.0.0),
         ${misc:Depends}
Description: Development files for the Eye of GNOME
 eog or the Eye of GNOME is a graphics viewer for the GNOME desktop
 which uses the gdk-pixbuf library.
 .
 This package contains header files and development information, which
 is needed to build plugins for the Eye of GNOME.

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/eog/([\d\.]+)[02468]/ \
	eog-(.*)\.tar\.bz2

## eog 3.2.0

=== debian/changelog ===
eog (3.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release: Translation updates only.
  * Refresh patches to apply cleanly.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 27 Sep 2011 07:13:37 +0200

eog (3.1.92-0ubuntu2) oneiric; urgency=low

  * Fix rotation gesture direction (LP: #848799)

 -- Chase Douglas <chase.douglas@ubuntu.com>  Fri, 23 Sep 2011 11:06:08 -0700

eog (3.1.92-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Tue, 20 Sep 2011 10:48:32 +0200

eog (3.1.91-0ubuntu1) oneiric; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 06 Sep 2011 15:40:48 +0200

eog (3.1.90-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Mon, 05 Sep 2011 10:19:55 +0200

eog (3.1.5-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Tue, 16 Aug 2011 12:11:41 +0200

eog (3.1.4-0ubuntu2) oneiric; urgency=low

  * Added libgrip gesture support (LP: #823640)
    - added debian/patches/02_grip_gestures.patch
    - adds pinch-to-zoom, rotate, and drag gestures
    - adds build-depends on libgrip-dev

 -- Stephen M. Webb <stephen.webb@canonical.com>  Wed, 10 Aug 2011 10:10:37 -0400

eog (3.1.4-0ubuntu1) oneiric; urgency=low

  * New upsteam release:
    - if saving an image fails it's done silently (LP: #673299)
  * debian/control:
    - set Vcs-Bzr to the ubuntu-desktop team, no gnome3-team

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 26 Jul 2011 15:28:21 +0200

eog (3.1.2-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/watch:
    - Watch unstable versions
  * debian/eog.install:
    - Remove installation of non-existing directories

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Fri, 01 Jul 2011 11:31:40 +0200

eog (3.0.2-1ubuntu3) oneiric; urgency=low

  * No-change rebuild against libgnome-desktop-3-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 25 Jun 2011 09:26:44 -0700

eog (3.0.2-1ubuntu2) oneiric; urgency=low

  * debian/eog.gsettings-override, debian/eog.install: 
    - use correct naming so it's handled by dh_installgsettings

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Jun 2011 17:36:34 +0200

eog (3.0.2-1ubuntu1) oneiric; urgency=low

  * Resynchronize on Debian
  * Remaing diff:
  * debian/control.in:
    - Build-Depends on dh-autoreconf and liblaunchpad-integration-3.0-dev
  * debian/eog.gschema.override:
    - define the default editor to shotwell
  * debian/eog.install:
    - install the gsettings schemas override
  * debian/eog-dev.install:
    - install the documentation
  * debian/patches/01_nodisplay.patch:
    - dropped, it was useful to simplify the gnome menus but is stop the
      users to find eog in unity or gnome-shell nowadays. (lp: #769979)
  * debian/patches/01_lpi.patch,
    - launchpad integration changes
  * debian/rules
    - use dh-autoreconf

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 May 2011 11:11:08 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Source: eog
 Section: gnome
 Priority: optional
-Maintainer: Guilherme de S. Pastore <gpastore@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Frederic Peters <fpeters@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guilherme de S. Pastore <gpastore@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Standards-Version: 3.9.2
 Homepage: http://projects.gnome.org/eog
 Build-Depends: cdbs (>= 0.4.41),
@@ -17,7 +18,7 @@
                intltool (>= 0.40.0),
                pkg-config,
                gnome-doc-utils,
-               libgtk-3-dev (>= 3.0.8-1~),
+               libgtk-3-dev (>= 3.0.2),
                libglib2.0-dev (>= 2.25.15),
                libgnome-desktop-3-dev (>= 2.91.2),
                gnome-icon-theme (>= 2.19.1),
@@ -28,18 +29,21 @@
                libexif-dev (>= 0.6.14),
                liblcms-dev,
                libexempi-dev (>= 1.99.5),
-               libjpeg-dev,
+               libjpeg62-dev,
                librsvg2-dev (>= 2.26.0),
                libdbus-glib-1-dev (>= 0.71),
                libxml2-dev (>= 2.0),
                libx11-dev,
                libatk1.0-dev (>= 1.32.0-2~),
+               libgrip-dev (>= 0.3.0),
                gir1.2-glib-2.0,
+               gir1.2-gtk-3.0 (>= 3.0.0),
                gobject-introspection (>= 0.9.12-4~),
-               libgirepository1.0-dev (>= 0.9.12)
+               libgirepository1.0-dev (>= 0.9.12),
+               dh-autoreconf,
+               liblaunchpad-integration-3.0-dev
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/eog
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/eog
+Vcs-Bzr: https://code.launchpad.net/~gnome3-team/eog/ubuntu
 
 Package: eog
 Architecture: any
@@ -48,8 +52,7 @@
          ${gir:Depends},
          gnome-icon-theme (>= 2.19.1),
          shared-mime-info (>= 0.20),
-         gsettings-desktop-schemas (>= 2.91.92),
-         gir1.2-peas-1.0
+         gsettings-desktop-schemas (>= 2.91.92)
 Recommends: librsvg2-common
 Breaks: eog-plugins (<< 2.91)
 Conflicts: gir1.2-eog-3.0

## eog 3.2.1

=== debian/changelog ===
eog (3.2.1-0ubuntu1.1) oneiric-proposed; urgency=low

  * Update gesture framework patch for new name (LP: #1046058) 

 -- Francis Ginther <francis.ginther@canonical.com>  Thu, 06 Sep 2012 13:26:03 -0500

eog (3.2.1-0ubuntu1) oneiric-proposed; urgency=low

  [ Chase Douglas ]
  * Update Bzr-Vcs tag to point to ~ubuntu-desktop instead of ~gnome3-team

  [ Didier Roche ]
  * New upstream release (LP: #877186)
    - new and updated translations

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 18 Oct 2011 09:48:34 +0200

=== debian/control ===
--- 
+++ 
@@ -43,7 +43,7 @@
                dh-autoreconf,
                liblaunchpad-integration-3.0-dev
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
-Vcs-Bzr: https://code.launchpad.net/~gnome3-team/eog/ubuntu
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/eog/ubuntu
 
 Package: eog
 Architecture: any

=== debian/watch ===
version=3
http://download.gnome.org/sources/eog/([0-9.]+)/eog-([0-9.]+)\.tar\.bz2 debian

## eog 3.2.2

=== debian/changelog ===
eog (3.2.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sat, 19 Nov 2011 01:30:53 +0100

eog (3.2.2-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in:
    - Drop Build-Depends on libdbus-glib-1-dev, no longer required.
  * debian/watch:
    - Fix regex to correctly match directories.

 -- Michael Biebl <biebl@debian.org>  Thu, 17 Nov 2011 20:59:59 +0100

eog (3.2.1-1) experimental; urgency=low

  [ Josselin Mouette ]
  * 01_nodisplay.patch: dropped. Let’s show applications in the shell 
    now. Closes: #624560.

  [ Sjoerd Simons ]
  * New upstream release (3.2.1)
  * debian/watch: Monitor xz tarballs
  * debian/control.in: Update glib build-depends
  * debian/eog.install: Remove omf dir, no longer used

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 02 Nov 2011 20:35:55 +0000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
 Source: eog
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guilherme de S. Pastore <gpastore@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Guilherme de S. Pastore <gpastore@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Frederic Peters <fpeters@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Standards-Version: 3.9.2
 Homepage: http://projects.gnome.org/eog
 Build-Depends: cdbs (>= 0.4.41),
@@ -18,8 +17,8 @@
                intltool (>= 0.40.0),
                pkg-config,
                gnome-doc-utils,
-               libgtk-3-dev (>= 3.0.2),
-               libglib2.0-dev (>= 2.25.15),
+               libgtk-3-dev (>= 3.0.8-1~),
+               libglib2.0-dev (>= 2.29.4),
                libgnome-desktop-3-dev (>= 2.91.2),
                gnome-icon-theme (>= 2.19.1),
                shared-mime-info (>= 0.20),
@@ -27,23 +26,19 @@
                libpeas-dev (>= 0.7.4),
                zlib1g-dev,
                libexif-dev (>= 0.6.14),
-               liblcms-dev,
+               liblcms2-dev,
                libexempi-dev (>= 1.99.5),
-               libjpeg62-dev,
+               libjpeg-dev,
                librsvg2-dev (>= 2.26.0),
-               libdbus-glib-1-dev (>= 0.71),
                libxml2-dev (>= 2.0),
                libx11-dev,
                libatk1.0-dev (>= 1.32.0-2~),
-               libgrip-dev (>= 0.3.0),
                gir1.2-glib-2.0,
-               gir1.2-gtk-3.0 (>= 3.0.0),
                gobject-introspection (>= 0.9.12-4~),
-               libgirepository1.0-dev (>= 0.9.12),
-               dh-autoreconf,
-               liblaunchpad-integration-3.0-dev
+               libgirepository1.0-dev (>= 0.9.12)
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/eog/ubuntu
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/eog
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/eog
 
 Package: eog
 Architecture: any
@@ -52,7 +47,8 @@
          ${gir:Depends},
          gnome-icon-theme (>= 2.19.1),
          shared-mime-info (>= 0.20),
-         gsettings-desktop-schemas (>= 2.91.92)
+         gsettings-desktop-schemas (>= 2.91.92),
+         gir1.2-peas-1.0
 Recommends: librsvg2-common
 Breaks: eog-plugins (<< 2.91)
 Conflicts: gir1.2-eog-3.0

## eog 3.3.91

=== debian/changelog ===
eog (3.3.91-1) experimental; urgency=low

  * New upstream release.
  * Bump libglib2.0-dev, libgtk-3-dev and libgdk-pixbuf2.0-dev Build-Deps.
  * Set Maintainer to the GNOME team.
  * Update Standards-Version to 3.9.3, no changes needed.
  * Point to versioned GPL-2 file.
  * Build-Depend on libgdk-pixbuf2.0-doc to fix cross-reference links.

 -- Jordi Mallach <jordi@debian.org>  Wed, 07 Mar 2012 14:23:42 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Source: eog
 Section: gnome
 Priority: optional
-Maintainer: Guilherme de S. Pastore <gpastore@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Frederic Peters <fpeters@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
-Standards-Version: 3.9.2
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Frederic Peters <fpeters@debian.org>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Standards-Version: 3.9.3
 Homepage: http://projects.gnome.org/eog
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 8),
@@ -17,8 +17,9 @@
                intltool (>= 0.40.0),
                pkg-config,
                gnome-doc-utils,
-               libgtk-3-dev (>= 3.0.8-1~),
-               libglib2.0-dev (>= 2.29.4),
+               libgtk-3-dev (>= 3.3.6),
+               libgdk-pixbuf2.0-dev (>= 2.19.1),
+               libglib2.0-dev (>= 2.31.0),
                libgnome-desktop-3-dev (>= 2.91.2),
                gnome-icon-theme (>= 2.19.1),
                shared-mime-info (>= 0.20),
@@ -36,7 +37,7 @@
                gir1.2-glib-2.0,
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12)
-Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
+Build-Depends-Indep: libgdk-pixbuf2.0-doc, libglib2.0-doc, libgtk-3-doc
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/eog
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/eog

## eog 3.3.92

=== debian/changelog ===
eog (3.3.92-1) experimental; urgency=low

  * New upstream development release.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Mar 2012 03:16:11 +0100

## eog 3.4.1

=== debian/changelog ===
eog (3.4.1-0ubuntu1) precise; urgency=low

  * New upstream release:
    - Extend help docs

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 17 Apr 2012 14:11:53 +1000

eog (3.4.0-0ubuntu1) precise-proposed; urgency=low

  * New upstream release:
    - Updated translations

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 27 Mar 2012 10:50:51 +1100

eog (3.3.92-0ubuntu1) precise; urgency=low

  * New upstream version:
    - don't segfault when mouse scrolling though thumnbails (lp: #672312)
  * Resynchronize on Debian, remaining diffs:
  * debian/control.in:
    - Build-Depends on dh-autoreconf, liblaunchpad-integration-3.0-dev, 
      libgrip-dev
  * debian/eog.gsettings-override:
    - define the default editor, don't display sidebar by default
  * debian/eog-dev.install:
    - install the documentation
  * debian/patches/01_lpi.patch,
    - launchpad integration changes
  * debian/patches/02_grip_gestures.patch:
    -  support pinch-to-zoom, rotate, and drag gestures  
  * debian/rules
    - use dh-autoreconf

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 19 Mar 2012 22:57:26 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Source: eog
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Frederic Peters <fpeters@debian.org>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Standards-Version: 3.9.3
 Homepage: http://projects.gnome.org/eog
 Build-Depends: cdbs (>= 0.4.41),
@@ -36,10 +37,12 @@
                libatk1.0-dev (>= 1.32.0-2~),
                gir1.2-glib-2.0,
                gobject-introspection (>= 0.9.12-4~),
-               libgirepository1.0-dev (>= 0.9.12)
+               libgirepository1.0-dev (>= 0.9.12),
+               dh-autoreconf,
+               libgrip-dev (>= 0.3.0),
+               liblaunchpad-integration-3.0-dev
 Build-Depends-Indep: libgdk-pixbuf2.0-doc, libglib2.0-doc, libgtk-3-doc
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/eog
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/eog
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/eog/ubuntu
 
 Package: eog
 Architecture: any

## eog 3.4.2

=== debian/changelog ===
eog (3.4.2-1+build1) unstable; urgency=low

  * No source changes; rebuild with xz compression.

 -- Michael Biebl <biebl@debian.org>  Sun, 05 Aug 2012 21:00:11 +0200

eog (3.4.2-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * debian/control.in: Recommend yelp

  [ Michael Biebl ]
  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 13 Jun 2012 23:21:35 +0200

eog (3.4.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Thu, 19 Apr 2012 03:58:38 +0200

eog (3.4.1-1) experimental; urgency=low

  * New upstream translation release.

 -- Michael Biebl <biebl@debian.org>  Tue, 17 Apr 2012 16:31:52 +0200

eog (3.4.0-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 28 Mar 2012 00:20:01 +0200

eog (3.2.2-3) unstable; urgency=low

  * debian/patches/0001-Don-t-lock-GDK-around-g_application_run.patch:
    Don't lock GDK around g_application_run(). An unintended interaction
    between GtkApplication and GDK threading made this necessary before.
    That code has since been simplified, breaking this formerly-working code.
    Patch cherry-picked from upstream Git. (Closes: #665374)

 -- Michael Biebl <biebl@debian.org>  Wed, 04 Apr 2012 23:23:23 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
 Source: eog
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
 Standards-Version: 3.9.3
 Homepage: http://projects.gnome.org/eog
 Build-Depends: cdbs (>= 0.4.41),
@@ -37,12 +36,10 @@
                libatk1.0-dev (>= 1.32.0-2~),
                gir1.2-glib-2.0,
                gobject-introspection (>= 0.9.12-4~),
-               libgirepository1.0-dev (>= 0.9.12),
-               dh-autoreconf,
-               libgrip-dev (>= 0.3.0),
-               liblaunchpad-integration-3.0-dev
+               libgirepository1.0-dev (>= 0.9.12)
 Build-Depends-Indep: libgdk-pixbuf2.0-doc, libglib2.0-doc, libgtk-3-doc
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/eog/ubuntu
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/eog
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/eog
 
 Package: eog
 Architecture: any
@@ -53,7 +50,8 @@
          shared-mime-info (>= 0.20),
          gsettings-desktop-schemas (>= 2.91.92),
          gir1.2-peas-1.0
-Recommends: librsvg2-common
+Recommends: librsvg2-common,
+            yelp
 Breaks: eog-plugins (<< 2.91)
 Conflicts: gir1.2-eog-3.0
 Replaces: gir1.2-eog-3.0

=== debian/rules ===
#! /usr/bin/make -f 

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS += -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc --disable-scrollkeeper

DEB_DH_MAKESHLIBS_ARGS_ALL += --no-act

binary-post-install/eog::
	# remove gir file from eog package, it will be in eog-dev
	rm -rf `pwd`/debian/eog/usr/share/eog/gir-1.0/

DEB_DH_GIREPOSITORY_ARGS_eog += -ldebian/tmp/usr/share/eog/gir-1.0/ /usr/lib/eog/girepository-1.0/

## eog 3.6.0

=== debian/changelog ===
eog (3.6.0-0ubuntu1) quantal; urgency=low

  * New upstream stable release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 25 Sep 2012 10:06:52 +1200

eog (3.5.92-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release
  * debian/control:
    - Bump build-depends on librsvg2-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 20 Sep 2012 10:27:31 +1200

eog (3.5.91-0ubuntu3) quantal; urgency=low

  * debian/eog.gsettings-override:
    - Dropped, override moved to ubuntu-default-settings and
      ubuntu-gnome-default-settings

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 11 Sep 2012 19:40:10 -0400

eog (3.5.91-0ubuntu2) quantal; urgency=low

  * Update gesture framework patch for new name (LP: #1046058)

 -- Chase Douglas <chase.douglas@ubuntu.com>  Tue, 04 Sep 2012 15:56:21 -0700

eog (3.5.91-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 04 Sep 2012 09:20:54 +1200

eog (3.5.90-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * debian/control.in: Build-depend on yelp-tools instead of gnome-doc-utils
  * debian/eog.install: Update for new help install location

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 20 Aug 2012 16:28:40 -0400

eog (3.5.4-0ubuntu1) quantal; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Aug 2012 22:50:52 +0200

eog (3.5.3-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 18 Jul 2012 10:13:06 +1200

eog (3.5.2-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 26 Jun 2012 10:20:34 +1200

eog (3.5.1-0ubuntu2) quantal; urgency=low

  * Rebuild for the libgnome-desktop SOVER bump.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 07 Jun 2012 15:55:44 -0600

eog (3.5.1-0ubuntu1) quantal; urgency=low

  * New upstream release
  * debian/control:
    - Drop dependency on liblaunchpad-integration-3.0-dev
  * debian/patches/01_lpi.patch:
    - Dropped, we no longer do Launchpad integration
  * debian/watch:
    - Watch for unstable versions

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 14 May 2012 14:00:06 +1200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: eog
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Standards-Version: 3.9.3
 Homepage: http://projects.gnome.org/eog
 Build-Depends: cdbs (>= 0.4.41),
@@ -16,7 +16,6 @@
                gtk-doc-tools (>= 1.9),
                intltool (>= 0.40.0),
                pkg-config,
-               gnome-doc-utils,
                libgtk-3-dev (>= 3.3.6),
                libgdk-pixbuf2.0-dev (>= 2.19.1),
                libglib2.0-dev (>= 2.31.0),
@@ -25,21 +24,23 @@
                shared-mime-info (>= 0.20),
                gsettings-desktop-schemas-dev (>= 2.91.92),
                libpeas-dev (>= 0.7.4),
+               yelp-tools,
                zlib1g-dev,
                libexif-dev (>= 0.6.14),
                liblcms2-dev,
                libexempi-dev (>= 1.99.5),
                libjpeg-dev,
-               librsvg2-dev (>= 2.26.0),
+               librsvg2-dev (>= 2.36.2),
                libxml2-dev (>= 2.0),
                libx11-dev,
                libatk1.0-dev (>= 1.32.0-2~),
                gir1.2-glib-2.0,
                gobject-introspection (>= 0.9.12-4~),
-               libgirepository1.0-dev (>= 0.9.12)
+               libgirepository1.0-dev (>= 0.9.12),
+               dh-autoreconf,
+               libgrip-dev (>= 0.3.0)
 Build-Depends-Indep: libgdk-pixbuf2.0-doc, libglib2.0-doc, libgtk-3-doc
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/eog
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/eog
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/eog/ubuntu
 
 Package: eog
 Architecture: any
@@ -50,8 +51,7 @@
          shared-mime-info (>= 0.20),
          gsettings-desktop-schemas (>= 2.91.92),
          gir1.2-peas-1.0
-Recommends: librsvg2-common,
-            yelp
+Recommends: librsvg2-common
 Breaks: eog-plugins (<< 2.91)
 Conflicts: gir1.2-eog-3.0
 Replaces: gir1.2-eog-3.0

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/eog/([\d\.]+\d)/ \
	eog-(.*)\.tar\.xz
